Axis2/C: axis2_transport_receiver_ops Struct Reference

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Class List
- Class Members

# axis2_transport_receiver_ops Struct Reference
[transport receiver]

Description Transport Receiver ops struct Encapsulator struct for ops of axis2_transport_receiver. More...

`#include <axis2_transport_receiver.h>`

List of all members.

## Public Attributes
axis2_status_t(* | init )(axis2_transport_receiver_t *transport_receiver, const axutil_env_t *env, struct axis2_conf_ctx *conf_ctx, struct axis2_transport_in_desc *transport_in)
axis2_status_t(* | start )(axis2_transport_receiver_t *transport_receiver, const axutil_env_t *env)
axis2_endpoint_ref_t *(* | get_reply_to_epr )(axis2_transport_receiver_t *transport_receiver, const axutil_env_t *env, const axis2_char_t *svc_name)
struct axis2_conf_ctx *(* | get_conf_ctx )(axis2_transport_receiver_t *server, const axutil_env_t *env)
axis2_bool_t(* | is_running )(axis2_transport_receiver_t *server, const axutil_env_t *env)
axis2_status_t(* | stop )(axis2_transport_receiver_t *transport_receiver, const axutil_env_t *env)
void(* | free )(axis2_transport_receiver_t *transport_receiver, const axutil_env_t *env)

## Detailed Description

Description Transport Receiver ops struct Encapsulator struct for ops of axis2_transport_receiver.

## Member Data Documentation

axis2_status_t( * axis2_transport_receiver_ops::init)(axis2_transport_receiver_t *transport_receiver, const axutil_env_t *env, struct axis2_conf_ctx *conf_ctx, struct axis2_transport_in_desc *transport_in)

Parameters:

  | transport_receiver | pointer to transport receiver
  | env | pointer to environment struct
  | conf_ctx | pointer to configuratoin context
  | intrasport_in | pointer to transport_in

axis2_status_t( * axis2_transport_receiver_ops::start)(axis2_transport_receiver_t *transport_receiver, const axutil_env_t *env)

Parameters:

  | transport_receiver |
  | env | pointer to environmnet struct

axis2_endpoint_ref_t*( * axis2_transport_receiver_ops::get_reply_to_epr)(axis2_transport_receiver_t *transport_receiver, const axutil_env_t *env, const axis2_char_t *svc_name)

Parameters:

  | tranport_receiver | pointer to transport receiver
  | env | pointer to environmnet struct
  | svc_name | pointer to service name

struct axis2_conf_ctx*( * axis2_transport_receiver_ops::get_conf_ctx)(axis2_transport_receiver_t *server, const axutil_env_t *env)`[read]`

Parameters:

  | server | pointer to server
  | env | pointer to environment struct

axis2_bool_t( * axis2_transport_receiver_ops::is_running)(axis2_transport_receiver_t *server, const axutil_env_t *env)

Parameters:

  | server | pointer to server
  | env | pointer to environment struct

axis2_status_t( * axis2_transport_receiver_ops::stop)(axis2_transport_receiver_t *transport_receiver, const axutil_env_t *env)

Parameters:

  | transport_receiver | pointer to transport receiver
  | env | pointer to environment struct

void( * axis2_transport_receiver_ops::free)(axis2_transport_receiver_t *transport_receiver, const axutil_env_t *env)

De-allocate memory

Parameters:

  | transport_receiver | pointer to transport receiver
  | env | pointer to environment struct

The documentation for this struct was generated from the following file:

- axis2_transport_receiver.h